import request from '@/utils/request'

// 查询列表
export function getRecipeList(params) {
  return request({
    url: '/yfc-admin/prescription/prescriptionCore/prescriptionList',
    method: 'get',
    params
  })
}

// 查询医院名称列表
export function getHospitalList(params) {
  return request({
    url: '/yfc-admin/medical/mechanism/list',
    method: 'get',
    params
  })
}

// 查询处方详情
export function getRecipeDetail(params) {
  return request({
    url: '/yfc-admin/prescription/prescriptionCore/detailInfo',
    method: 'get',
    params
  })
}

// 确认处方方案
export function confirmRecipe(data) {
  return request({
    url: '/yfc-admin/prescription/prescriptionCore/scheme',
    method: 'put',
    data
  })
}

// 查询煎煮信息
export function getDecoctInfo(params) {
  return request({
    url: '/yfc-admin/prescription/prescriptionCore/info',
    method: 'get',
    params
  })
}

// 打印预览
export function getPrint(params) {
  return request({
    url: '/yfc-admin/prescription/prescriptionCore/printDetail',
    method: 'get',
    params
  })
}

// 打印状态修改
export function updateRecipeStatus(params) {
  return request({
    url: '/yfc-admin/prescription/prescriptionCore/getPrint',
    method: 'get',
    params
  })
}
